/********************************************************************************************************
		* PROGRAM      : menus
		* DATE - TIME  : lundi 30 avril 2007 - 09h56
		* AUTHOR       : gilles bailly ( gilles.bailly enst.fr )
			* FILENAME     : Flower16_3Sector.h
			* LICENSE      : GPL
			* COMMENTARY   :
********************************************************************************************************/
//FlowerGroupingSector.h
#ifndef __FLOWERGrouping_SECTOR__
#define __FLOWERGrouping_SECTOR__

#include <vector>
#include "RadialSector.h"
#include <QString>
class FlowerGroupingMenu;

class FlowerGroupingSector:public RadialSector{
Q_OBJECT
public:
static QString nameFile_;
static std::vector<QPointF> position;
static std::vector< QPointF > lineDepart;
static std::vector<QPointF> controler;
static std::vector<QPointF> lineFin;
static bool first;
static void initPositions(int w, int h);
static int rayon;
static void getDecalage(int id, int& decalX, int& decalY, int w, int h);
static int l0;

friend class FlowerGroupingMenu;
FlowerGroupingSector(const QString& text,  QWidget* parent = 0, Qt::WindowFlags f=0);
~FlowerGroupingSector();

virtual void initialize();
virtual void paintEvent(QPaintEvent* e);
static void writePositionFile();
static void loadPositionFile();
static void buildTrace( float i );

//================
protected:
int lenght;

};

#endif


