/********************************************************************************************************
		* PROGRAM      : menus
		* DATE - TIME  : jeudi 26 avril 2007 - 10h48
		* AUTHOR       : gilles bailly ( gilles.bailly@enst.fr )
			* FILENAME     : main.cpp
			* LICENSE      : GPL
			* COMMENTARY   :
********************************************************************************************************/
//main.cpp
#include <sstream>
#include <iostream>
#include <QApplication>
#include <QLabel>
#include <QSplashScreen>
#include "mainwindow.h"
#include "RadialMenu.h"
#include <Qt>
#include <QIcon>
//#include <QMacStyle>
#include <QPlastiqueStyle>
#include <string>

using namespace std;

//static string MENU_PATH = ".";
#define MENU_PATH "."


int main( int argc, char **argv )
{
	
	//variable d'environnement	
	/*
	const char* home = ::getenv("HOME");
	string sHome( home );
	*/
  //const char* pwd = ::getenv("PWD");
  //string sPwd( pwd );
  //cerr << "home= " << sHome << endl;
  //cerr << " pwd= " << sPwd << endl; 
	
	
	QApplication app( argc, argv );
	
	if( argc == 2 ){
		string tmp ( argv[1 ] );
		RadialMenu::setMenuPath( tmp );	
	}
	
	cerr<< argc <<" "<< argv[1] <<endl;
	
	QSplashScreen *splash = new QSplashScreen;
	splash->setPixmap(QPixmap(":/img/splash.png"));
	splash->show();
	Qt::Alignment topRight = Qt::AlignRight |Qt::AlignTop;
	splash->showMessage("setting up the main window...", topRight, Qt::white);
	std::cout<<"program start ..."<<endl;
	MainWindow* mw = new MainWindow( &app );
	std::cout<<"main window build"<<endl;
	mw->setWindowIcon(QIcon(":/img/splash.png"));
	mw->setMouseTracking(true);
	
	
	//================= important pour les hierarchiques installEventFilter
	RadialMenu::mainWindow = mw;
	QApplication::setStyle( new QPlastiqueStyle );
	mw->show();
	splash->finish(mw);
	delete splash;
	
	return app.exec();
}
