/********************************************************************************************************
		* PROGRAM      : menus
		* DATE - TIME  : lundi 07 mai 2007 - 16h00
		* AUTHOR       : gilles bailly ( gilles.bailly enst.fr )
			* FILENAME     : StateMachine.h
			* LICENSE      : GPL
			* COMMENTARY   :
********************************************************************************************************/
//StateMachine.h
#ifndef __STATE_MACHINE__
#define __STATE_MACHINE__

#include <QObject>
#include <QEvent>

//==================================
class StateMachine{
public:
	virtual bool mPress( QObject *obj, QMouseEvent *event ) =0;
	virtual bool mRelease( QObject *obj, QMouseEvent *event )=0;
	virtual bool mDrag( QObject *obj, QMouseEvent *event )=0;
	virtual bool mMove( QObject *obj, QMouseEvent *event){ return false; }
	virtual bool kPress( QObject *obj, QKeyEvent* event){ return false; }
	virtual bool kRelease( QObject *obj, QKeyEvent* evnet){ return false; }
};

#endif

