/********************************************************************************************************
 * PROGRAM      : menus
 * DATE - TIME  : jeudi 02 aot 2007 - 14h51
 * AUTHOR       : gilles bailly ( gilles.bailly enst.fr )
 * FILENAME     : Arrow.h
 * LICENSE      : GPL
 * COMMENTARY   : 
 ********************************************************************************************************/
//Arrow.h
#ifndef __ARROW_H__
#define __ARROW_H__
#include <QPainterPath>

class Arrow : public QPainterPath{
	public:
		Arrow(const QPointF& startPoint, const QPointF& endPoint, const QPointF& controlPoint);
		void optimize();
		virtual ~Arrow();
		virtual void setArrow(bool source, bool target);
		
		virtual void draw(QPainter& painter );
	protected:
		QPolygonF* poly;
		
		bool source;
		bool target;
		qreal arrowSize;
		
};

#endif
